from django.contrib import admin
from django.urls import path, include  # 导入 path 和 re_path
from api import views

urlpatterns = [
    # # 管理员页面的路由（如果需要）
    # path('admin/', admin.site.urls),

    # 上传学生名单
    path('api/upload-students/', views.upload_students, name='upload_students'),
    # # 随机选择学生
    # path('api/select-student/', views.select_student, name='select-student'),
    # path('api/classroom_view/', views.classroom_view, name='classroom'),
    path('api/get_student_info/<str:student_id>/', views.get_student_info, name='get_student_info'),
    path('api/update_student_score/', views.update_student_score, name='update_student_score'),
    path('api/leaderboard/', views.leaderboard, name='leaderboard'),
    path('api/create_pledge/', views.create_pledge, name='create_pledge'),
    path('api/update_question_score', views.update_question_score, name='update_question_score'),
    path('api/export_students_scores', views.export_students_scores, name='export_students_scores'),
    path('__debug__/', include('debug_toolbar.urls')),

]